# Freshness of each data source

URL: https://docs.fxapis.com/api-reference/marketlabs/freshness-of-each-data-source

> Freshness of each data source.

`GET https://api.fxapis.com/v1/marketlabs/sources`

Authentication: `Authorization: Bearer <API key>`.

#### Responses

- `200`
- `400`
- `401`
- `402`
- `403`
- `404`
- `409`
- `503`

Failures return `{ "error": { "code", "message" } }`; every code is listed at https://docs.fxapis.com/errors.

#### 200 response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | object[] | yes |  |
| `data[].id` | string | yes |  |
| `data[].name` | string | yes |  |
| `data[].attribution` | string | yes |  |
| `data[].creditUrl` | null \| string | no |  |
| `data[].lastSuccess` | null \| string (date-time) | no |  |
| `data[].state` | "fresh" \| "aging" \| "stale" \| "never" | yes |  |
| `requestId` | string | yes |  |